<!DOCTYPE HTML>
<html>

<head>
  <title>Wi-Fi Bike Lock</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <style>
    *,
    ::after,
    ::before {
      box-sizing: border-box;
    }

    h2 {
      text-align: center;
      margin-top: 5px;
      margin-bottom: 0px;
    }

    h3,
    p {
      font-size: 1.3rem;
      text-align: justify;
      margin-top: 5px;
      margin-bottom: 0px;
    }

    .form-info {
      background-color: #007bff;
      color: #fff;
      width: 100%;
      max-width: 400px;
      padding: 5px;
      margin: auto;
      border: 2px solid #007bff;
    }

    .form-config {
      text-align: center;
      width: 100%;
      max-width: 400px;
      padding: 5px;
      margin: auto;
      border: 2px solid #ced4da;
    }

    .form-fill {
      text-align: center;
      display: block;
      width: 10.5rem;
      height: calc(1.5em + .75rem + 2px);
      border: 1px solid #ced4da;
      border-radius: .3rem;
      margin: 0 auto;
      font-size: 2.5rem;
    }

    button.button-submit {
      cursor: pointer;
      border: 1px solid transparent;
      color: #fff;
      background-color: #007bff;
      border-color: #007bff;
      padding: .5rem 1rem;
      font-size: 1.25rem;
      line-height: 1.5;
      border-radius: .3rem;
      margin-bottom: 10px;
      width: 50%;
    }

    form.lang-widget {
      position: relative;
      width: 100%;
      max-width: 400px;
      padding: 0;
      margin: 0;
    }

    div.lang-widget {
      position: absolute;
      left: 1%;
      font-size: .75rem;
      color: red;
    }

    button.lang-widget {
      text-decoration: underline;
      position: absolute;
      right: 1%;
      text-align: center;
      cursor: pointer;
      border: 0;
      color: #007bff;
      background-color: #fff;
      padding: 0;
      font-size: .5rem;
      width: auto;
    }

    div.show-pin {
      margin: 5px 0;
      position: relative;
      left: 35%;
      width: 45%;
    }

    p.show-pin {
      font-size: .9rem;
      position: absolute;
      top: 0
    }

    /* The switch - the box around the slider */
    .switch {
      position: relative;
      top: 2px;
      display: inline-block;
      width: 21px;
      height: 12px;
    }

    /* Hide default HTML checkbox */
    .switch input {
      opacity: 0;
      width: 0;
      height: 0;
    }

    /* The slider */
    .slider {
      position: absolute;
      cursor: pointer;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background-color: #ccc;
      -webkit-transition: .4s;
      transition: .4s;
    }

    .slider:before {
      position: absolute;
      content: "";
      height: 10px;
      width: 10px;
      left: 1px;
      bottom: 1px;
      background-color: white;
      -webkit-transition: .1s;
      transition: .1s;
    }

    input:checked+.slider {
      background-color: #2196F3;
    }

    input:focus+.slider {
      box-shadow: 0 0 1px #2196F3;
    }

    input:checked+.slider:before {
      -webkit-transform: translateX(9px);
      -ms-transform: translateX(9px);
      transform: translateX(9px);
    }

    /* Rounded sliders */
    .slider.round {
      border-radius: 11px;
    }

    .slider.round:before {
      border-radius: 50%;
    }
  </style>
  <script language="javascript">

    var s = "{C}";
    var e = s;

    var timeout = null;

    function start() {

      if (s === -1) {
        clearTimeout(timeout);
        alert('Disconnected');
        return false;
      }

      document.getElementById('s').innerText = s.toString();
      document.getElementById('e').innerText = e.toString();

      timeout = setTimeout(function () {
        s--;
        e--;
        start();
      }, 1000);

    }
    function showhidden() {
      var x = document.getElementById("pinId");
      var y = document.getElementById("shtext");
      if (x.type === "password") {
        x.type = "text";
      } else {
        x.type = "password";
      }
    }
    window.onload = start;
  </script>
</head>

<body>
  <main class="form-config">

    <form class="lang-widget" method="GET" action="/vi">
      <div class="lang-widget">Disconnect after <span id="s"></span> seconds</div>
      <button class="lang-widget" type="submit">Tiếng Việt</button>
    </form>
    <br>
    <h2>Enter PIN to unlock/lock vehicle</h2>
    <form method="POST" action="/unlock">
      {E}
      <div hidden><span id="e"></span></div>
      <input type="password" pattern="[0-9][0-9][0-9][0-9]" class="form-fill" name="pin" id="pinId" minlength="4"
        maxlength="4" placeholder="PIN">
      <div class="show-pin">
        <label class="switch">
          <input type="checkbox" onclick="showhidden()">
          <span class="slider round"></span>
        </label>&ensp;<i class="show-pin">Show PIN</i>
      </div>
      <!-- <br> -->
      <button class="button-submit" type="submit">{B}</button>
    </form>
    <!-- <br> -->
    <form method="GET" action="/changeWFLanding">
      <button class="button-submit" type="submit">Set up<br>Wifi Sensor</button>
    </form>
    <!-- <br> -->
    <form method="GET" action="/changePinLanding">
      <button class="button-submit" type="submit">Set new PIN</button>
    </form>
  </main>
  <main class="form-info">
    <h3>Notes:</h3>
    <p>1. The default PIN is 0000. Please change to personal PIN</p>
    <p>2. PIN number length is 4 digits</p>
    <p>3. Disconnect if enter the wrong PIN more than 6 times</p>
    <p>4. Click "Set up Wifi sensor" to set up the smart vehicle unlock feature</p>
    <p>5. Click "Set new PIN" to change current PIN</p>
  </main>
</body>

</html>